curl --request POST \
--url https://api.acedata.cloud/kling/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video",
"prompt": "White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
}
'import requests
url = "https://api.acedata.cloud/kling/videos"
payload = {
"action": "text2video",
"prompt": "White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'text2video',
prompt: 'White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle.'
})
};
fetch('https://api.acedata.cloud/kling/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "900798310464749610",
"video_url": "https://cdn.acedata.cloud/assets/examples/kling/6c68c267-065b-4423-b66b-a0e4c59ee0d5-6a664a591a53.mp4",
"duration": "5.041",
"state": "succeed",
"task_id": "6c68c267-065b-4423-b66b-a0e4c59ee0d5"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"success": false,
"error": {
"code": "bad_gateway",
"message": "服务依赖返回了无法解析的响应。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "service_unavailable",
"message": "服务暂时不可用,请稍后重试。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "timeout",
"message": "任务处理超时。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}Kling Videos
curl --request POST \
--url https://api.acedata.cloud/kling/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video",
"prompt": "White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
}
'import requests
url = "https://api.acedata.cloud/kling/videos"
payload = {
"action": "text2video",
"prompt": "White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'text2video',
prompt: 'White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle.'
})
};
fetch('https://api.acedata.cloud/kling/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "900798310464749610",
"video_url": "https://cdn.acedata.cloud/assets/examples/kling/6c68c267-065b-4423-b66b-a0e4c59ee0d5-6a664a591a53.mp4",
"duration": "5.041",
"state": "succeed",
"task_id": "6c68c267-065b-4423-b66b-a0e4c59ee0d5"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"success": false,
"error": {
"code": "bad_gateway",
"message": "服务依赖返回了无法解析的响应。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "service_unavailable",
"message": "服务暂时不可用,请稍后重试。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}{
"success": false,
"error": {
"code": "timeout",
"message": "任务处理超时。"
},
"trace_id": "<string>",
"task_id": "<string>",
"started_at": 123
}承認
API token from https://platform.acedata.cloud
ヘッダー
Kling Videos Param Accept
application/json ボディ
- Option 1
- Option 2
Kling Videos Action
text2video, image2video, extend Kling Videos Prompt
"White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
Kling Videos Mode
std, pro, 4k Kling Videos Model
kling-v3-turbo, kling-v1, kling-v1-6, kling-v2-master, kling-v2-1-master, kling-v2-5-turbo, kling-v2-6, kling-v3, kling-v3-omni, kling-o1 Kling Videos Duration
Kling Videos Generate Audio
Kling Videos Video Id
Kling Videos Cfg Scale
0 <= x <= 1Kling Videos Aspect Ratio
16:9, 9:16, 1:1 Kling Videos Callback Url
Kling Videos Async
Kling Videos End Image Url
Kling Videos Camera Control
Show child attributes
Show child attributes
Kling Videos Image List
1 - 7 elementsShow child attributes
Show child attributes
Kling Videos Video List
1 elementShow child attributes
Show child attributes
Kling Videos Negative Prompt
Kling Videos Start Image Url
Kling Videos Multi Shot
Kling Videos Shot Type
customize, intelligence Kling Videos Multi Prompt
1 - 6 elementsShow child attributes
Show child attributes
Kling Videos Element List
1 - 3 elementsShow child attributes
Show child attributes
Kling Videos Voice List
1 - 2 elementsShow child attributes
Show child attributes

